%global namedversion gl%{version}-android-2.1_r1
Name:          android-opengl-api
Version:       1.1
Release:       %mkrel 6
Group:         Development/Java
Summary:       Google Android Java ME Library (Khronos)
License:       ASL 2.0
# While the EULA for the Android SDK restricts distribution of those binaries, the source code 
# is licensed under Apache 2.0 which allows compiling binaries from source and then distributing
# those versions.
URL:           http://developer.android.com/guide/topics/graphics/opengl.html
Source0:       http://repo1.maven.org/maven2/org/khronos/opengl-api/%{namedversion}/opengl-api-%{namedversion}-sources.jar
Source1:       http://repo1.maven.org/maven2/org/khronos/opengl-api/%{namedversion}/opengl-api-%{namedversion}.pom

# android-opengl-api package don't include the license file    
Source2:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: java-devel
BuildRequires: maven-local
BuildArch:     noarch

%description
The Android implementation of Khronos OpenGL Spec
for the Google Android SDK.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -T -q -c
mkdir -p src/main/java

(
  cd src/main/java
  jar -xf %{SOURCE0}
  rm -rf META-INF
)

cp -p %{SOURCE1} pom.xml

cp -p %{SOURCE2} .
sed -i 's/\r//' LICENSE-2.0.txt

%build

%mvn_file :opengl-api opengl-api
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.1-6.mga4
+ Revision: 545546
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 1.1-5.mga4
+ Revision: 501378
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 1.1-4.mga3
+ Revision: 345542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 1.1-3.mga3
+ Revision: 325944
- Java Stack Mass Rebuild

* Sun Oct 28 2012 dmorgan <dmorgan> 1.1-2.mga3
+ Revision: 311247
- Java Stack Mass Rebuild

* Mon Oct 31 2011 gil <gil> 1.1-1.mga2
+ Revision: 160428
- imported package android-opengl-api

